Makefile.in (fstransform-0.9.3-src) | : | Makefile.in (fstransform-0.9.4) | ||
---|---|---|---|---|
# Makefile.in generated by automake 1.11.1 from Makefile.am. | # Makefile.in generated by automake 1.16.1 from Makefile.am. | |||
# @configure_input@ | # @configure_input@ | |||
# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, | # Copyright (C) 1994-2018 Free Software Foundation, Inc. | |||
# 2003, 2004, 2005, 2006, 2007, 2008, 2009 Free Software Foundation, | ||||
# Inc. | ||||
# This Makefile.in is free software; the Free Software Foundation | # This Makefile.in is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# This program is distributed in the hope that it will be useful, | # This program is distributed in the hope that it will be useful, | |||
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without | # but WITHOUT ANY WARRANTY, to the extent permitted by law; without | |||
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A | # even the implied warranty of MERCHANTABILITY or FITNESS FOR A | |||
# PARTICULAR PURPOSE. | # PARTICULAR PURPOSE. | |||
@SET_MAKE@ | @SET_MAKE@ | |||
VPATH = @srcdir@ | VPATH = @srcdir@ | |||
am__is_gnu_make = { \ | ||||
if test -z '$(MAKELEVEL)'; then \ | ||||
false; \ | ||||
elif test -n '$(MAKE_HOST)'; then \ | ||||
true; \ | ||||
elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \ | ||||
true; \ | ||||
else \ | ||||
false; \ | ||||
fi; \ | ||||
} | ||||
am__make_running_with_option = \ | ||||
case $${target_option-} in \ | ||||
?) ;; \ | ||||
*) echo "am__make_running_with_option: internal error: invalid" \ | ||||
"target option '$${target_option-}' specified" >&2; \ | ||||
exit 1;; \ | ||||
esac; \ | ||||
has_opt=no; \ | ||||
sane_makeflags=$$MAKEFLAGS; \ | ||||
if $(am__is_gnu_make); then \ | ||||
sane_makeflags=$$MFLAGS; \ | ||||
else \ | ||||
case $$MAKEFLAGS in \ | ||||
*\\[\ \ ]*) \ | ||||
bs=\\; \ | ||||
sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \ | ||||
| sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \ | ||||
esac; \ | ||||
fi; \ | ||||
skip_next=no; \ | ||||
strip_trailopt () \ | ||||
{ \ | ||||
flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \ | ||||
}; \ | ||||
for flg in $$sane_makeflags; do \ | ||||
test $$skip_next = yes && { skip_next=no; continue; }; \ | ||||
case $$flg in \ | ||||
*=*|--*) continue;; \ | ||||
-*I) strip_trailopt 'I'; skip_next=yes;; \ | ||||
-*I?*) strip_trailopt 'I';; \ | ||||
-*O) strip_trailopt 'O'; skip_next=yes;; \ | ||||
-*O?*) strip_trailopt 'O';; \ | ||||
-*l) strip_trailopt 'l'; skip_next=yes;; \ | ||||
-*l?*) strip_trailopt 'l';; \ | ||||
-[dEDm]) skip_next=yes;; \ | ||||
-[JT]) skip_next=yes;; \ | ||||
esac; \ | ||||
case $$flg in \ | ||||
*$$target_option*) has_opt=yes; break;; \ | ||||
esac; \ | ||||
done; \ | ||||
test $$has_opt = yes | ||||
am__make_dryrun = (target_option=n; $(am__make_running_with_option)) | ||||
am__make_keepgoing = (target_option=k; $(am__make_running_with_option)) | ||||
pkgdatadir = $(datadir)/@PACKAGE@ | pkgdatadir = $(datadir)/@PACKAGE@ | |||
pkgincludedir = $(includedir)/@PACKAGE@ | pkgincludedir = $(includedir)/@PACKAGE@ | |||
pkglibdir = $(libdir)/@PACKAGE@ | pkglibdir = $(libdir)/@PACKAGE@ | |||
pkglibexecdir = $(libexecdir)/@PACKAGE@ | pkglibexecdir = $(libexecdir)/@PACKAGE@ | |||
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd | am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd | |||
install_sh_DATA = $(install_sh) -c -m 644 | install_sh_DATA = $(install_sh) -c -m 644 | |||
install_sh_PROGRAM = $(install_sh) -c | install_sh_PROGRAM = $(install_sh) -c | |||
install_sh_SCRIPT = $(install_sh) -c | install_sh_SCRIPT = $(install_sh) -c | |||
INSTALL_HEADER = $(INSTALL_DATA) | INSTALL_HEADER = $(INSTALL_DATA) | |||
transform = $(program_transform_name) | transform = $(program_transform_name) | |||
NORMAL_INSTALL = : | NORMAL_INSTALL = : | |||
PRE_INSTALL = : | PRE_INSTALL = : | |||
POST_INSTALL = : | POST_INSTALL = : | |||
NORMAL_UNINSTALL = : | NORMAL_UNINSTALL = : | |||
PRE_UNINSTALL = : | PRE_UNINSTALL = : | |||
POST_UNINSTALL = : | POST_UNINSTALL = : | |||
subdir = . | subdir = . | |||
DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \ | ||||
$(srcdir)/Makefile.in $(top_srcdir)/configure \ | ||||
$(top_srcdir)/fsremap/src/config.hh.in AUTHORS COPYING \ | ||||
ChangeLog INSTALL NEWS TODO tools/depcomp tools/install-sh \ | ||||
tools/missing | ||||
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4 | ACLOCAL_M4 = $(top_srcdir)/aclocal.m4 | |||
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \ | am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \ | |||
$(top_srcdir)/tools/ft_cxx_flags.m4 \ | ||||
$(top_srcdir)/tools/ft_cxx_features.m4 \ | $(top_srcdir)/tools/ft_cxx_features.m4 \ | |||
$(top_srcdir)/tools/ft_cxx_unordered_map.m4 \ | ||||
$(top_srcdir)/tools/ft_need_funcs.m4 \ | $(top_srcdir)/tools/ft_need_funcs.m4 \ | |||
$(top_srcdir)/tools/ft_need_libs.m4 \ | ||||
$(top_srcdir)/tools/ft_output.m4 $(top_srcdir)/configure.ac | $(top_srcdir)/tools/ft_output.m4 $(top_srcdir)/configure.ac | |||
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \ | am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \ | |||
$(ACLOCAL_M4) | $(ACLOCAL_M4) | |||
DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \ | ||||
$(am__configure_deps) $(am__DIST_COMMON) | ||||
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \ | am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \ | |||
configure.lineno config.status.lineno | configure.lineno config.status.lineno | |||
mkinstalldirs = $(install_sh) -d | mkinstalldirs = $(install_sh) -d | |||
CONFIG_HEADER = $(top_builddir)/fsremap/src/config.hh | CONFIG_HEADER = $(top_builddir)/fsremap/src/config.hh | |||
CONFIG_CLEAN_FILES = | CONFIG_CLEAN_FILES = | |||
CONFIG_CLEAN_VPATH_FILES = | CONFIG_CLEAN_VPATH_FILES = | |||
AM_V_P = $(am__v_P_@AM_V@) | ||||
am__v_P_ = $(am__v_P_@AM_DEFAULT_V@) | ||||
am__v_P_0 = false | ||||
am__v_P_1 = : | ||||
AM_V_GEN = $(am__v_GEN_@AM_V@) | ||||
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@) | ||||
am__v_GEN_0 = @echo " GEN " $@; | ||||
am__v_GEN_1 = | ||||
AM_V_at = $(am__v_at_@AM_V@) | ||||
am__v_at_ = $(am__v_at_@AM_DEFAULT_V@) | ||||
am__v_at_0 = @ | ||||
am__v_at_1 = | ||||
SOURCES = | SOURCES = | |||
DIST_SOURCES = | DIST_SOURCES = | |||
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \ | RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \ | |||
html-recursive info-recursive install-data-recursive \ | ctags-recursive dvi-recursive html-recursive info-recursive \ | |||
install-dvi-recursive install-exec-recursive \ | install-data-recursive install-dvi-recursive \ | |||
install-html-recursive install-info-recursive \ | install-exec-recursive install-html-recursive \ | |||
install-pdf-recursive install-ps-recursive install-recursive \ | install-info-recursive install-pdf-recursive \ | |||
installcheck-recursive installdirs-recursive pdf-recursive \ | install-ps-recursive install-recursive installcheck-recursive \ | |||
ps-recursive uninstall-recursive | installdirs-recursive pdf-recursive ps-recursive \ | |||
tags-recursive uninstall-recursive | ||||
am__can_run_installinfo = \ | ||||
case $$AM_UPDATE_INFO_DIR in \ | ||||
n|no|NO) false;; \ | ||||
*) (install-info --version) >/dev/null 2>&1;; \ | ||||
esac | ||||
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \ | RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \ | |||
distclean-recursive maintainer-clean-recursive | distclean-recursive maintainer-clean-recursive | |||
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \ | am__recursive_targets = \ | |||
$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \ | $(RECURSIVE_TARGETS) \ | |||
distdir dist dist-all distcheck | $(RECURSIVE_CLEAN_TARGETS) \ | |||
$(am__extra_recursive_targets) | ||||
AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \ | ||||
cscope distdir distdir-am dist dist-all distcheck | ||||
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP) | ||||
# Read a list of newline-separated strings from the standard input, | ||||
# and print each of them once, without duplicates. Input order is | ||||
# *not* preserved. | ||||
am__uniquify_input = $(AWK) '\ | ||||
BEGIN { nonempty = 0; } \ | ||||
{ items[$$0] = 1; nonempty = 1; } \ | ||||
END { if (nonempty) { for (i in items) print i; }; } \ | ||||
' | ||||
# Make sure the list of sources is unique. This is necessary because, | ||||
# e.g., the same source file might be shared among _SOURCES variables | ||||
# for different programs/libraries. | ||||
am__define_uniq_tagged_files = \ | ||||
list='$(am__tagged_files)'; \ | ||||
unique=`for i in $$list; do \ | ||||
if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ | ||||
done | $(am__uniquify_input)` | ||||
ETAGS = etags | ETAGS = etags | |||
CTAGS = ctags | CTAGS = ctags | |||
CSCOPE = cscope | ||||
DIST_SUBDIRS = $(SUBDIRS) | DIST_SUBDIRS = $(SUBDIRS) | |||
am__DIST_COMMON = $(srcdir)/Makefile.in \ | ||||
$(top_srcdir)/fsremap/src/config.hh.in \ | ||||
$(top_srcdir)/tools/install-sh $(top_srcdir)/tools/missing \ | ||||
AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \ | ||||
tools/depcomp tools/install-sh tools/missing | ||||
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) | DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) | |||
distdir = $(PACKAGE)-$(VERSION) | distdir = $(PACKAGE)-$(VERSION) | |||
top_distdir = $(distdir) | top_distdir = $(distdir) | |||
am__remove_distdir = \ | am__remove_distdir = \ | |||
{ test ! -d "$(distdir)" \ | if test -d "$(distdir)"; then \ | |||
|| { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \ | find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \ | |||
&& rm -fr "$(distdir)"; }; } | && rm -rf "$(distdir)" \ | |||
|| { sleep 5 && rm -rf "$(distdir)"; }; \ | ||||
else :; fi | ||||
am__post_remove_distdir = $(am__remove_distdir) | ||||
am__relativize = \ | am__relativize = \ | |||
dir0=`pwd`; \ | dir0=`pwd`; \ | |||
sed_first='s,^\([^/]*\)/.*$$,\1,'; \ | sed_first='s,^\([^/]*\)/.*$$,\1,'; \ | |||
sed_rest='s,^[^/]*/*,,'; \ | sed_rest='s,^[^/]*/*,,'; \ | |||
sed_last='s,^.*/\([^/]*\)$$,\1,'; \ | sed_last='s,^.*/\([^/]*\)$$,\1,'; \ | |||
sed_butlast='s,/*[^/]*$$,,'; \ | sed_butlast='s,/*[^/]*$$,,'; \ | |||
while test -n "$$dir1"; do \ | while test -n "$$dir1"; do \ | |||
first=`echo "$$dir1" | sed -e "$$sed_first"`; \ | first=`echo "$$dir1" | sed -e "$$sed_first"`; \ | |||
if test "$$first" != "."; then \ | if test "$$first" != "."; then \ | |||
if test "$$first" = ".."; then \ | if test "$$first" = ".."; then \ | |||
skipping to change at line 104 | skipping to change at line 205 | |||
dir2="../$$dir2"; \ | dir2="../$$dir2"; \ | |||
fi; \ | fi; \ | |||
dir0="$$dir0"/"$$first"; \ | dir0="$$dir0"/"$$first"; \ | |||
fi; \ | fi; \ | |||
fi; \ | fi; \ | |||
dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \ | dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \ | |||
done; \ | done; \ | |||
reldir="$$dir2" | reldir="$$dir2" | |||
DIST_ARCHIVES = $(distdir).tar.gz | DIST_ARCHIVES = $(distdir).tar.gz | |||
GZIP_ENV = --best | GZIP_ENV = --best | |||
DIST_TARGETS = dist-gzip | ||||
distuninstallcheck_listfiles = find . -type f -print | distuninstallcheck_listfiles = find . -type f -print | |||
am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \ | ||||
| sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$' | ||||
distcleancheck_listfiles = find . -type f -print | distcleancheck_listfiles = find . -type f -print | |||
ACLOCAL = @ACLOCAL@ | ACLOCAL = @ACLOCAL@ | |||
AMTAR = @AMTAR@ | AMTAR = @AMTAR@ | |||
AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@ | ||||
AUTOCONF = @AUTOCONF@ | AUTOCONF = @AUTOCONF@ | |||
AUTOHEADER = @AUTOHEADER@ | AUTOHEADER = @AUTOHEADER@ | |||
AUTOMAKE = @AUTOMAKE@ | AUTOMAKE = @AUTOMAKE@ | |||
AWK = @AWK@ | AWK = @AWK@ | |||
CPPFLAGS = @CPPFLAGS@ | CPPFLAGS = @CPPFLAGS@ | |||
CXX = @CXX@ | CXX = @CXX@ | |||
CXXCPP = @CXXCPP@ | CXXCPP = @CXXCPP@ | |||
CXXDEPMODE = @CXXDEPMODE@ | CXXDEPMODE = @CXXDEPMODE@ | |||
CXXFLAGS = @CXXFLAGS@ | CXXFLAGS = @CXXFLAGS@ | |||
CYGPATH_W = @CYGPATH_W@ | CYGPATH_W = @CYGPATH_W@ | |||
skipping to change at line 132 | skipping to change at line 237 | |||
ECHO_T = @ECHO_T@ | ECHO_T = @ECHO_T@ | |||
EGREP = @EGREP@ | EGREP = @EGREP@ | |||
EXEEXT = @EXEEXT@ | EXEEXT = @EXEEXT@ | |||
GREP = @GREP@ | GREP = @GREP@ | |||
INSTALL = @INSTALL@ | INSTALL = @INSTALL@ | |||
INSTALL_DATA = @INSTALL_DATA@ | INSTALL_DATA = @INSTALL_DATA@ | |||
INSTALL_PROGRAM = @INSTALL_PROGRAM@ | INSTALL_PROGRAM = @INSTALL_PROGRAM@ | |||
INSTALL_SCRIPT = @INSTALL_SCRIPT@ | INSTALL_SCRIPT = @INSTALL_SCRIPT@ | |||
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@ | INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@ | |||
LDFLAGS = @LDFLAGS@ | LDFLAGS = @LDFLAGS@ | |||
LD_LIBCOM_ERR = @LD_LIBCOM_ERR@ | ||||
LD_LIBEXT2FS = @LD_LIBEXT2FS@ | ||||
LIBOBJS = @LIBOBJS@ | LIBOBJS = @LIBOBJS@ | |||
LIBS = @LIBS@ | LIBS = @LIBS@ | |||
LTLIBOBJS = @LTLIBOBJS@ | LTLIBOBJS = @LTLIBOBJS@ | |||
MAKEINFO = @MAKEINFO@ | MAKEINFO = @MAKEINFO@ | |||
MKDIR_P = @MKDIR_P@ | MKDIR_P = @MKDIR_P@ | |||
OBJEXT = @OBJEXT@ | OBJEXT = @OBJEXT@ | |||
PACKAGE = @PACKAGE@ | PACKAGE = @PACKAGE@ | |||
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@ | PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@ | |||
PACKAGE_NAME = @PACKAGE_NAME@ | PACKAGE_NAME = @PACKAGE_NAME@ | |||
PACKAGE_STRING = @PACKAGE_STRING@ | PACKAGE_STRING = @PACKAGE_STRING@ | |||
skipping to change at line 184 | skipping to change at line 291 | |||
libexecdir = @libexecdir@ | libexecdir = @libexecdir@ | |||
localedir = @localedir@ | localedir = @localedir@ | |||
localstatedir = @localstatedir@ | localstatedir = @localstatedir@ | |||
mandir = @mandir@ | mandir = @mandir@ | |||
mkdir_p = @mkdir_p@ | mkdir_p = @mkdir_p@ | |||
oldincludedir = @oldincludedir@ | oldincludedir = @oldincludedir@ | |||
pdfdir = @pdfdir@ | pdfdir = @pdfdir@ | |||
prefix = @prefix@ | prefix = @prefix@ | |||
program_transform_name = @program_transform_name@ | program_transform_name = @program_transform_name@ | |||
psdir = @psdir@ | psdir = @psdir@ | |||
runstatedir = @runstatedir@ | ||||
sbindir = @sbindir@ | sbindir = @sbindir@ | |||
sharedstatedir = @sharedstatedir@ | sharedstatedir = @sharedstatedir@ | |||
srcdir = @srcdir@ | srcdir = @srcdir@ | |||
sysconfdir = @sysconfdir@ | sysconfdir = @sysconfdir@ | |||
target_alias = @target_alias@ | target_alias = @target_alias@ | |||
top_build_prefix = @top_build_prefix@ | top_build_prefix = @top_build_prefix@ | |||
top_builddir = @top_builddir@ | top_builddir = @top_builddir@ | |||
top_srcdir = @top_srcdir@ | top_srcdir = @top_srcdir@ | |||
SUBDIRS = fsmove/build fsremap/build fstransform/build | SUBDIRS = fsattr/build fsmove/build fsmount_kernel/build fsremap/build fstransfo rm/build | |||
all: all-recursive | all: all-recursive | |||
.SUFFIXES: | .SUFFIXES: | |||
am--refresh: | am--refresh: Makefile | |||
@: | @: | |||
$(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps) | $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps) | |||
@for dep in $?; do \ | @for dep in $?; do \ | |||
case '$(am__configure_deps)' in \ | case '$(am__configure_deps)' in \ | |||
*$$dep*) \ | *$$dep*) \ | |||
echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \ | echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \ | |||
$(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \ | $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \ | |||
&& exit 0; \ | && exit 0; \ | |||
exit 1;; \ | exit 1;; \ | |||
esac; \ | esac; \ | |||
done; \ | done; \ | |||
echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \ | echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \ | |||
$(am__cd) $(top_srcdir) && \ | $(am__cd) $(top_srcdir) && \ | |||
$(AUTOMAKE) --gnu Makefile | $(AUTOMAKE) --gnu Makefile | |||
.PRECIOUS: Makefile | ||||
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status | Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status | |||
@case '$?' in \ | @case '$?' in \ | |||
*config.status*) \ | *config.status*) \ | |||
echo ' $(SHELL) ./config.status'; \ | echo ' $(SHELL) ./config.status'; \ | |||
$(SHELL) ./config.status;; \ | $(SHELL) ./config.status;; \ | |||
*) \ | *) \ | |||
echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfil | echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_ | |||
es_maybe)'; \ | remake_depfiles)'; \ | |||
cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_mayb | cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_ | |||
e);; \ | depfiles);; \ | |||
esac; | esac; | |||
$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENC IES) | $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENC IES) | |||
$(SHELL) ./config.status --recheck | $(SHELL) ./config.status --recheck | |||
$(top_srcdir)/configure: $(am__configure_deps) | $(top_srcdir)/configure: $(am__configure_deps) | |||
$(am__cd) $(srcdir) && $(AUTOCONF) | $(am__cd) $(srcdir) && $(AUTOCONF) | |||
$(ACLOCAL_M4): $(am__aclocal_m4_deps) | $(ACLOCAL_M4): $(am__aclocal_m4_deps) | |||
$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS) | $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS) | |||
$(am__aclocal_m4_deps): | $(am__aclocal_m4_deps): | |||
fsremap/src/config.hh: fsremap/src/stamp-h1 | fsremap/src/config.hh: fsremap/src/stamp-h1 | |||
@if test ! -f $@; then \ | @test -f $@ || rm -f fsremap/src/stamp-h1 | |||
rm -f fsremap/src/stamp-h1; \ | @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) fsremap/src/stamp-h1 | |||
$(MAKE) $(AM_MAKEFLAGS) fsremap/src/stamp-h1; \ | ||||
else :; fi | ||||
fsremap/src/stamp-h1: $(top_srcdir)/fsremap/src/config.hh.in $(top_builddir)/con fig.status | fsremap/src/stamp-h1: $(top_srcdir)/fsremap/src/config.hh.in $(top_builddir)/con fig.status | |||
@rm -f fsremap/src/stamp-h1 | @rm -f fsremap/src/stamp-h1 | |||
cd $(top_builddir) && $(SHELL) ./config.status fsremap/src/config.hh | cd $(top_builddir) && $(SHELL) ./config.status fsremap/src/config.hh | |||
$(top_srcdir)/fsremap/src/config.hh.in: $(am__configure_deps) | $(top_srcdir)/fsremap/src/config.hh.in: $(am__configure_deps) | |||
($(am__cd) $(top_srcdir) && $(AUTOHEADER)) | ($(am__cd) $(top_srcdir) && $(AUTOHEADER)) | |||
rm -f fsremap/src/stamp-h1 | rm -f fsremap/src/stamp-h1 | |||
touch $@ | touch $@ | |||
distclean-hdr: | distclean-hdr: | |||
-rm -f fsremap/src/config.hh fsremap/src/stamp-h1 | -rm -f fsremap/src/config.hh fsremap/src/stamp-h1 | |||
# This directory's subdirectories are mostly independent; you can cd | # This directory's subdirectories are mostly independent; you can cd | |||
# into them and run `make' without going through this Makefile. | # into them and run 'make' without going through this Makefile. | |||
# To change the values of `make' variables: instead of editing Makefiles, | # To change the values of 'make' variables: instead of editing Makefiles, | |||
# (1) if the variable is set in `config.status', edit `config.status' | # (1) if the variable is set in 'config.status', edit 'config.status' | |||
# (which will cause the Makefiles to be regenerated when you run `make'); | # (which will cause the Makefiles to be regenerated when you run 'make'); | |||
# (2) otherwise, pass the desired values on the `make' command line. | # (2) otherwise, pass the desired values on the 'make' command line. | |||
$(RECURSIVE_TARGETS): | $(am__recursive_targets): | |||
@fail= failcom='exit 1'; \ | @fail=; \ | |||
for f in x $$MAKEFLAGS; do \ | if $(am__make_keepgoing); then \ | |||
case $$f in \ | failcom='fail=yes'; \ | |||
*=* | --[!k]*);; \ | else \ | |||
*k*) failcom='fail=yes';; \ | failcom='exit 1'; \ | |||
esac; \ | fi; \ | |||
done; \ | ||||
dot_seen=no; \ | dot_seen=no; \ | |||
target=`echo $@ | sed s/-recursive//`; \ | target=`echo $@ | sed s/-recursive//`; \ | |||
list='$(SUBDIRS)'; for subdir in $$list; do \ | case "$@" in \ | |||
distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \ | ||||
*) list='$(SUBDIRS)' ;; \ | ||||
esac; \ | ||||
for subdir in $$list; do \ | ||||
echo "Making $$target in $$subdir"; \ | echo "Making $$target in $$subdir"; \ | |||
if test "$$subdir" = "."; then \ | if test "$$subdir" = "."; then \ | |||
dot_seen=yes; \ | dot_seen=yes; \ | |||
local_target="$$target-am"; \ | local_target="$$target-am"; \ | |||
else \ | else \ | |||
local_target="$$target"; \ | local_target="$$target"; \ | |||
fi; \ | fi; \ | |||
($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \ | ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \ | |||
|| eval $$failcom; \ | || eval $$failcom; \ | |||
done; \ | done; \ | |||
if test "$$dot_seen" = "no"; then \ | if test "$$dot_seen" = "no"; then \ | |||
$(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \ | $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \ | |||
fi; test -z "$$fail" | fi; test -z "$$fail" | |||
$(RECURSIVE_CLEAN_TARGETS): | ID: $(am__tagged_files) | |||
@fail= failcom='exit 1'; \ | $(am__define_uniq_tagged_files); mkid -fID $$unique | |||
for f in x $$MAKEFLAGS; do \ | tags: tags-recursive | |||
case $$f in \ | TAGS: tags | |||
*=* | --[!k]*);; \ | ||||
*k*) failcom='fail=yes';; \ | ||||
esac; \ | ||||
done; \ | ||||
dot_seen=no; \ | ||||
case "$@" in \ | ||||
distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \ | ||||
*) list='$(SUBDIRS)' ;; \ | ||||
esac; \ | ||||
rev=''; for subdir in $$list; do \ | ||||
if test "$$subdir" = "."; then :; else \ | ||||
rev="$$subdir $$rev"; \ | ||||
fi; \ | ||||
done; \ | ||||
rev="$$rev ."; \ | ||||
target=`echo $@ | sed s/-recursive//`; \ | ||||
for subdir in $$rev; do \ | ||||
echo "Making $$target in $$subdir"; \ | ||||
if test "$$subdir" = "."; then \ | ||||
local_target="$$target-am"; \ | ||||
else \ | ||||
local_target="$$target"; \ | ||||
fi; \ | ||||
($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \ | ||||
|| eval $$failcom; \ | ||||
done && test -z "$$fail" | ||||
tags-recursive: | ||||
list='$(SUBDIRS)'; for subdir in $$list; do \ | ||||
test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) t | ||||
ags); \ | ||||
done | ||||
ctags-recursive: | ||||
list='$(SUBDIRS)'; for subdir in $$list; do \ | ||||
test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) c | ||||
tags); \ | ||||
done | ||||
ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES) | tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files) | |||
list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \ | ||||
unique=`for i in $$list; do \ | ||||
if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ | ||||
done | \ | ||||
$(AWK) '{ files[$$0] = 1; nonempty = 1; } \ | ||||
END { if (nonempty) { for (i in files) print i; }; }'`; \ | ||||
mkid -fID $$unique | ||||
tags: TAGS | ||||
TAGS: tags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \ | ||||
$(TAGS_FILES) $(LISP) | ||||
set x; \ | set x; \ | |||
here=`pwd`; \ | here=`pwd`; \ | |||
if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \ | if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \ | |||
include_option=--etags-include; \ | include_option=--etags-include; \ | |||
empty_fix=.; \ | empty_fix=.; \ | |||
else \ | else \ | |||
include_option=--include; \ | include_option=--include; \ | |||
empty_fix=; \ | empty_fix=; \ | |||
fi; \ | fi; \ | |||
list='$(SUBDIRS)'; for subdir in $$list; do \ | list='$(SUBDIRS)'; for subdir in $$list; do \ | |||
if test "$$subdir" = .; then :; else \ | if test "$$subdir" = .; then :; else \ | |||
test ! -f $$subdir/TAGS || \ | test ! -f $$subdir/TAGS || \ | |||
set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \ | set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \ | |||
fi; \ | fi; \ | |||
done; \ | done; \ | |||
list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \ | $(am__define_uniq_tagged_files); \ | |||
unique=`for i in $$list; do \ | ||||
if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ | ||||
done | \ | ||||
$(AWK) '{ files[$$0] = 1; nonempty = 1; } \ | ||||
END { if (nonempty) { for (i in files) print i; }; }'`; \ | ||||
shift; \ | shift; \ | |||
if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \ | if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \ | |||
test -n "$$unique" || unique=$$empty_fix; \ | test -n "$$unique" || unique=$$empty_fix; \ | |||
if test $$# -gt 0; then \ | if test $$# -gt 0; then \ | |||
$(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \ | $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \ | |||
"$$@" $$unique; \ | "$$@" $$unique; \ | |||
else \ | else \ | |||
$(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \ | $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \ | |||
$$unique; \ | $$unique; \ | |||
fi; \ | fi; \ | |||
fi | fi | |||
ctags: CTAGS | ctags: ctags-recursive | |||
CTAGS: ctags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \ | ||||
$(TAGS_FILES) $(LISP) | CTAGS: ctags | |||
list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \ | ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files) | |||
unique=`for i in $$list; do \ | $(am__define_uniq_tagged_files); \ | |||
if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ | ||||
done | \ | ||||
$(AWK) '{ files[$$0] = 1; nonempty = 1; } \ | ||||
END { if (nonempty) { for (i in files) print i; }; }'`; \ | ||||
test -z "$(CTAGS_ARGS)$$unique" \ | test -z "$(CTAGS_ARGS)$$unique" \ | |||
|| $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \ | || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \ | |||
$$unique | $$unique | |||
GTAGS: | GTAGS: | |||
here=`$(am__cd) $(top_builddir) && pwd` \ | here=`$(am__cd) $(top_builddir) && pwd` \ | |||
&& $(am__cd) $(top_srcdir) \ | && $(am__cd) $(top_srcdir) \ | |||
&& gtags -i $(GTAGS_ARGS) "$$here" | && gtags -i $(GTAGS_ARGS) "$$here" | |||
cscope: cscope.files | ||||
test ! -s cscope.files \ | ||||
|| $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(C | ||||
SCOPE_ARGS) | ||||
clean-cscope: | ||||
-rm -f cscope.files | ||||
cscope.files: clean-cscope cscopelist | ||||
cscopelist: cscopelist-recursive | ||||
cscopelist-am: $(am__tagged_files) | ||||
list='$(am__tagged_files)'; \ | ||||
case "$(srcdir)" in \ | ||||
[\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \ | ||||
*) sdir=$(subdir)/$(srcdir) ;; \ | ||||
esac; \ | ||||
for i in $$list; do \ | ||||
if test -f "$$i"; then \ | ||||
echo "$(subdir)/$$i"; \ | ||||
else \ | ||||
echo "$$sdir/$$i"; \ | ||||
fi; \ | ||||
done >> $(top_builddir)/cscope.files | ||||
distclean-tags: | distclean-tags: | |||
-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags | -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags | |||
-rm -f cscope.out cscope.in.out cscope.po.out cscope.files | ||||
distdir: $(BUILT_SOURCES) | ||||
$(MAKE) $(AM_MAKEFLAGS) distdir-am | ||||
distdir: $(DISTFILES) | distdir-am: $(DISTFILES) | |||
$(am__remove_distdir) | $(am__remove_distdir) | |||
test -d "$(distdir)" || mkdir "$(distdir)" | test -d "$(distdir)" || mkdir "$(distdir)" | |||
@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \ | @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \ | |||
topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \ | topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \ | |||
list='$(DISTFILES)'; \ | list='$(DISTFILES)'; \ | |||
dist_files=`for file in $$list; do echo $$file; done | \ | dist_files=`for file in $$list; do echo $$file; done | \ | |||
sed -e "s|^$$srcdirstrip/||;t" \ | sed -e "s|^$$srcdirstrip/||;t" \ | |||
-e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \ | -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \ | |||
case $$dist_files in \ | case $$dist_files in \ | |||
*/*) $(MKDIR_P) `echo "$$dist_files" | \ | */*) $(MKDIR_P) `echo "$$dist_files" | \ | |||
skipping to change at line 417 | skipping to change at line 496 | |||
fi; \ | fi; \ | |||
cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \ | cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \ | |||
else \ | else \ | |||
test -f "$(distdir)/$$file" \ | test -f "$(distdir)/$$file" \ | |||
|| cp -p $$d/$$file "$(distdir)/$$file" \ | || cp -p $$d/$$file "$(distdir)/$$file" \ | |||
|| exit 1; \ | || exit 1; \ | |||
fi; \ | fi; \ | |||
done | done | |||
@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \ | @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \ | |||
if test "$$subdir" = .; then :; else \ | if test "$$subdir" = .; then :; else \ | |||
test -d "$(distdir)/$$subdir" \ | $(am__make_dryrun) \ | |||
|| $(MKDIR_P) "$(distdir)/$$subdir" \ | || test -d "$(distdir)/$$subdir" \ | |||
|| exit 1; \ | || $(MKDIR_P) "$(distdir)/$$subdir" \ | |||
fi; \ | || exit 1; \ | |||
done | ||||
@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \ | ||||
if test "$$subdir" = .; then :; else \ | ||||
dir1=$$subdir; dir2="$(distdir)/$$subdir"; \ | dir1=$$subdir; dir2="$(distdir)/$$subdir"; \ | |||
$(am__relativize); \ | $(am__relativize); \ | |||
new_distdir=$$reldir; \ | new_distdir=$$reldir; \ | |||
dir1=$$subdir; dir2="$(top_distdir)"; \ | dir1=$$subdir; dir2="$(top_distdir)"; \ | |||
$(am__relativize); \ | $(am__relativize); \ | |||
new_top_distdir=$$reldir; \ | new_top_distdir=$$reldir; \ | |||
echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top _distdir" distdir="$$new_distdir" \\"; \ | echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top _distdir" distdir="$$new_distdir" \\"; \ | |||
echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode _fix=: distdir)"; \ | echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode _fix=: distdir)"; \ | |||
($(am__cd) $$subdir && \ | ($(am__cd) $$subdir && \ | |||
$(MAKE) $(AM_MAKEFLAGS) \ | $(MAKE) $(AM_MAKEFLAGS) \ | |||
skipping to change at line 451 | skipping to change at line 527 | |||
fi; \ | fi; \ | |||
done | done | |||
-test -n "$(am__skip_mode_fix)" \ | -test -n "$(am__skip_mode_fix)" \ | |||
|| find "$(distdir)" -type d ! -perm -755 \ | || find "$(distdir)" -type d ! -perm -755 \ | |||
-exec chmod u+rwx,go+rx {} \; -o \ | -exec chmod u+rwx,go+rx {} \; -o \ | |||
! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \ | ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \ | |||
! -type d ! -perm -400 -exec chmod a+r {} \; -o \ | ! -type d ! -perm -400 -exec chmod a+r {} \; -o \ | |||
! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \ | ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \ | |||
|| chmod -R a+r "$(distdir)" | || chmod -R a+r "$(distdir)" | |||
dist-gzip: distdir | dist-gzip: distdir | |||
tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).ta | tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distd | |||
r.gz | ir).tar.gz | |||
$(am__remove_distdir) | $(am__post_remove_distdir) | |||
dist-bzip2: distdir | dist-bzip2: distdir | |||
tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2 | tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir) | |||
$(am__remove_distdir) | .tar.bz2 | |||
$(am__post_remove_distdir) | ||||
dist-lzma: distdir | dist-lzip: distdir | |||
tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma | tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar | |||
$(am__remove_distdir) | .lz | |||
$(am__post_remove_distdir) | ||||
dist-xz: distdir | dist-xz: distdir | |||
tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz | tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir). | |||
$(am__remove_distdir) | tar.xz | |||
$(am__post_remove_distdir) | ||||
dist-tarZ: distdir | dist-tarZ: distdir | |||
@echo WARNING: "Support for distribution archives compressed with" \ | ||||
"legacy program 'compress' is deprecated." >&2 | ||||
@echo WARNING: "It will be removed altogether in Automake 2.0" >&2 | ||||
tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z | tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z | |||
$(am__remove_distdir) | $(am__post_remove_distdir) | |||
dist-shar: distdir | dist-shar: distdir | |||
shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz | @echo WARNING: "Support for shar distribution archives is" \ | |||
$(am__remove_distdir) | "deprecated." >&2 | |||
@echo WARNING: "It will be removed altogether in Automake 2.0" >&2 | ||||
shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz | ||||
$(am__post_remove_distdir) | ||||
dist-zip: distdir | dist-zip: distdir | |||
-rm -f $(distdir).zip | -rm -f $(distdir).zip | |||
zip -rq $(distdir).zip $(distdir) | zip -rq $(distdir).zip $(distdir) | |||
$(am__remove_distdir) | $(am__post_remove_distdir) | |||
dist dist-all: distdir | dist dist-all: | |||
tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).ta | $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:' | |||
r.gz | $(am__post_remove_distdir) | |||
$(am__remove_distdir) | ||||
# This target untars the dist file and tries a VPATH configuration. Then | # This target untars the dist file and tries a VPATH configuration. Then | |||
# it guarantees that the distribution is self-contained by making another | # it guarantees that the distribution is self-contained by making another | |||
# tarfile. | # tarfile. | |||
distcheck: dist | distcheck: dist | |||
case '$(DIST_ARCHIVES)' in \ | case '$(DIST_ARCHIVES)' in \ | |||
*.tar.gz*) \ | *.tar.gz*) \ | |||
GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\ | eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\ | |||
*.tar.bz2*) \ | *.tar.bz2*) \ | |||
bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\ | bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\ | |||
*.tar.lzma*) \ | *.tar.lz*) \ | |||
lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\ | lzip -dc $(distdir).tar.lz | $(am__untar) ;;\ | |||
*.tar.xz*) \ | *.tar.xz*) \ | |||
xz -dc $(distdir).tar.xz | $(am__untar) ;;\ | xz -dc $(distdir).tar.xz | $(am__untar) ;;\ | |||
*.tar.Z*) \ | *.tar.Z*) \ | |||
uncompress -c $(distdir).tar.Z | $(am__untar) ;;\ | uncompress -c $(distdir).tar.Z | $(am__untar) ;;\ | |||
*.shar.gz*) \ | *.shar.gz*) \ | |||
GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\ | eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\ | |||
*.zip*) \ | *.zip*) \ | |||
unzip $(distdir).zip ;;\ | unzip $(distdir).zip ;;\ | |||
esac | esac | |||
chmod -R a-w $(distdir); chmod a+w $(distdir) | chmod -R a-w $(distdir) | |||
mkdir $(distdir)/_build | chmod u+w $(distdir) | |||
mkdir $(distdir)/_inst | mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst | |||
chmod a-w $(distdir) | chmod a-w $(distdir) | |||
test -d $(distdir)/_build || exit 0; \ | test -d $(distdir)/_build || exit 0; \ | |||
dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[ \\/],/,'` \ | dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[ \\/],/,'` \ | |||
&& dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \ | && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \ | |||
&& am__cwd=`pwd` \ | && am__cwd=`pwd` \ | |||
&& $(am__cd) $(distdir)/_build \ | && $(am__cd) $(distdir)/_build/sub \ | |||
&& ../configure --srcdir=.. --prefix="$$dc_install_base" \ | && ../../configure \ | |||
$(AM_DISTCHECK_CONFIGURE_FLAGS) \ | ||||
$(DISTCHECK_CONFIGURE_FLAGS) \ | $(DISTCHECK_CONFIGURE_FLAGS) \ | |||
--srcdir=../.. --prefix="$$dc_install_base" \ | ||||
&& $(MAKE) $(AM_MAKEFLAGS) \ | && $(MAKE) $(AM_MAKEFLAGS) \ | |||
&& $(MAKE) $(AM_MAKEFLAGS) dvi \ | && $(MAKE) $(AM_MAKEFLAGS) dvi \ | |||
&& $(MAKE) $(AM_MAKEFLAGS) check \ | && $(MAKE) $(AM_MAKEFLAGS) check \ | |||
&& $(MAKE) $(AM_MAKEFLAGS) install \ | && $(MAKE) $(AM_MAKEFLAGS) install \ | |||
&& $(MAKE) $(AM_MAKEFLAGS) installcheck \ | && $(MAKE) $(AM_MAKEFLAGS) installcheck \ | |||
&& $(MAKE) $(AM_MAKEFLAGS) uninstall \ | && $(MAKE) $(AM_MAKEFLAGS) uninstall \ | |||
&& $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \ | && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \ | |||
distuninstallcheck \ | distuninstallcheck \ | |||
&& chmod -R a-w "$$dc_install_base" \ | && chmod -R a-w "$$dc_install_base" \ | |||
&& ({ \ | && ({ \ | |||
skipping to change at line 536 | skipping to change at line 620 | |||
&& $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \ | && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \ | |||
&& $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \ | && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \ | |||
distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \ | distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \ | |||
} || { rm -rf "$$dc_destdir"; exit 1; }) \ | } || { rm -rf "$$dc_destdir"; exit 1; }) \ | |||
&& rm -rf "$$dc_destdir" \ | && rm -rf "$$dc_destdir" \ | |||
&& $(MAKE) $(AM_MAKEFLAGS) dist \ | && $(MAKE) $(AM_MAKEFLAGS) dist \ | |||
&& rm -rf $(DIST_ARCHIVES) \ | && rm -rf $(DIST_ARCHIVES) \ | |||
&& $(MAKE) $(AM_MAKEFLAGS) distcleancheck \ | && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \ | |||
&& cd "$$am__cwd" \ | && cd "$$am__cwd" \ | |||
|| exit 1 | || exit 1 | |||
$(am__remove_distdir) | $(am__post_remove_distdir) | |||
@(echo "$(distdir) archives ready for distribution: "; \ | @(echo "$(distdir) archives ready for distribution: "; \ | |||
list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \ | list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \ | |||
sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x' | sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x' | |||
distuninstallcheck: | distuninstallcheck: | |||
@$(am__cd) '$(distuninstallcheck_dir)' \ | @test -n '$(distuninstallcheck_dir)' || { \ | |||
&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \ | echo 'ERROR: trying to run $@ with an empty' \ | |||
'$$(distuninstallcheck_dir)' >&2; \ | ||||
exit 1; \ | ||||
}; \ | ||||
$(am__cd) '$(distuninstallcheck_dir)' || { \ | ||||
echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \ | ||||
exit 1; \ | ||||
}; \ | ||||
test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \ | ||||
|| { echo "ERROR: files left after uninstall:" ; \ | || { echo "ERROR: files left after uninstall:" ; \ | |||
if test -n "$(DESTDIR)"; then \ | if test -n "$(DESTDIR)"; then \ | |||
echo " (check DESTDIR support)"; \ | echo " (check DESTDIR support)"; \ | |||
fi ; \ | fi ; \ | |||
$(distuninstallcheck_listfiles) ; \ | $(distuninstallcheck_listfiles) ; \ | |||
exit 1; } >&2 | exit 1; } >&2 | |||
distcleancheck: distclean | distcleancheck: distclean | |||
@if test '$(srcdir)' = . ; then \ | @if test '$(srcdir)' = . ; then \ | |||
echo "ERROR: distcleancheck can only run from a VPATH build" ; \ | echo "ERROR: distcleancheck can only run from a VPATH build" ; \ | |||
exit 1 ; \ | exit 1 ; \ | |||
skipping to change at line 573 | skipping to change at line 665 | |||
install: install-recursive | install: install-recursive | |||
install-exec: install-exec-recursive | install-exec: install-exec-recursive | |||
install-data: install-data-recursive | install-data: install-data-recursive | |||
uninstall: uninstall-recursive | uninstall: uninstall-recursive | |||
install-am: all-am | install-am: all-am | |||
@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am | @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am | |||
installcheck: installcheck-recursive | installcheck: installcheck-recursive | |||
install-strip: | install-strip: | |||
$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \ | if test -z '$(STRIP)'; then \ | |||
install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \ | $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \ | |||
`test -z '$(STRIP)' || \ | install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \ | |||
echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install | install; \ | |||
else \ | ||||
$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \ | ||||
install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \ | ||||
"INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \ | ||||
fi | ||||
mostlyclean-generic: | mostlyclean-generic: | |||
clean-generic: | clean-generic: | |||
distclean-generic: | distclean-generic: | |||
-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES) | -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES) | |||
-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $ (CONFIG_CLEAN_VPATH_FILES) | -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $ (CONFIG_CLEAN_VPATH_FILES) | |||
maintainer-clean-generic: | maintainer-clean-generic: | |||
@echo "This command is intended for maintainers to use" | @echo "This command is intended for maintainers to use" | |||
skipping to change at line 657 | skipping to change at line 754 | |||
pdf: pdf-recursive | pdf: pdf-recursive | |||
pdf-am: | pdf-am: | |||
ps: ps-recursive | ps: ps-recursive | |||
ps-am: | ps-am: | |||
uninstall-am: | uninstall-am: | |||
.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) ctags-recursive \ | .MAKE: $(am__recursive_targets) install-am install-strip | |||
install-am install-strip tags-recursive | ||||
.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \ | ||||
am--refresh check check-am clean clean-cscope clean-generic \ | ||||
cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \ | ||||
dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \ | ||||
distcheck distclean distclean-generic distclean-hdr \ | ||||
distclean-tags distcleancheck distdir distuninstallcheck dvi \ | ||||
dvi-am html html-am info info-am install install-am \ | ||||
install-data install-data-am install-dvi install-dvi-am \ | ||||
install-exec install-exec-am install-html install-html-am \ | ||||
install-info install-info-am install-man install-pdf \ | ||||
install-pdf-am install-ps install-ps-am install-strip \ | ||||
installcheck installcheck-am installdirs installdirs-am \ | ||||
maintainer-clean maintainer-clean-generic mostlyclean \ | ||||
mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \ | ||||
uninstall-am | ||||
.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \ | .PRECIOUS: Makefile | |||
all all-am am--refresh check check-am clean clean-generic \ | ||||
ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \ | ||||
dist-lzma dist-shar dist-tarZ dist-xz dist-zip distcheck \ | ||||
distclean distclean-generic distclean-hdr distclean-tags \ | ||||
distcleancheck distdir distuninstallcheck dvi dvi-am html \ | ||||
html-am info info-am install install-am install-data \ | ||||
install-data-am install-dvi install-dvi-am install-exec \ | ||||
install-exec-am install-html install-html-am install-info \ | ||||
install-info-am install-man install-pdf install-pdf-am \ | ||||
install-ps install-ps-am install-strip installcheck \ | ||||
installcheck-am installdirs installdirs-am maintainer-clean \ | ||||
maintainer-clean-generic mostlyclean mostlyclean-generic pdf \ | ||||
pdf-am ps ps-am tags tags-recursive uninstall uninstall-am | ||||
mrproper-distclean: distclean | mrproper-distclean: distclean | |||
rm -f fsremap/src/ft_config.hh fstransform/build/fstransform | rm -fr autom4te.cache configure fsremap/src/ft_config.hh | |||
# Tell versions [3.59,3.63) of GNU make to not export all variables. | # Tell versions [3.59,3.63) of GNU make to not export all variables. | |||
# Otherwise a system limit (for SysV at least) may be exceeded. | # Otherwise a system limit (for SysV at least) may be exceeded. | |||
.NOEXPORT: | .NOEXPORT: | |||
End of changes. 55 change blocks. | ||||
173 lines changed or deleted | 273 lines changed or added |